MyXoops Forum

Aw: Fehler mit newbb 3.08 nach PHP update [Module für Forenlösungen] - myXOOPS German Support

alfred

Administrator
Gepostet am:05.02.2012 19:12
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#13

Aw: Fehler mit newbb 3.08 nach PHP update

ja, einfach die Dateien drüberkopieren und das Modul aktualisieren, mehr ist nicht notwendig. Alles andere macht das Updatescript.

mrviper

"myXOOPs"-Neuling
Gepostet am:05.02.2012 19:09
mrviper
mrviper Offline (Show more)
"myXOOPs"-Neuling
Posts: 6
Since: 04.02.2012
#12

Aw: Fehler mit newbb 3.08 nach PHP update

Werde ich versuchen. Kann ich diese Version auch einfach über die alte kopieren und aktualisieren oder geht nur Neuinstallation? Kann ich aber wahrscheinlich erst nächste Woche testen, heute klappt das leider zeitlich nicht mehr.

Schönen Restsonntag noch.

Advertisement

Gepostet am:0
Advertisement (Show more)
Posts: 0
Since: 0


Hier könnten Sie Ihre Anzeige aufgeben!
Bitte kontaktieren Sie uns, um mehr darüber zu erfahren.

alfred

Administrator
Gepostet am:05.02.2012 18:55
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#11

Aw: Fehler mit newbb 3.08 nach PHP update

gehe mal auf die Version 4.2 aus dem SVN
da sind einige Bugs gefixt und auch neue Dinge hinzugekommen.
Ich habe das jetzt auf einer 2.3.3er XOOPS-Version laufen
http://xoops233.simple-xoops.de/modules/newbb/index.php

mrviper

"myXOOPs"-Neuling
Gepostet am:05.02.2012 18:40
mrviper
mrviper Offline (Show more)
"myXOOPs"-Neuling
Posts: 6
Since: 04.02.2012
#10

Aw: Fehler mit newbb 3.08 nach PHP update

Die oben beschriebenen Meldungen sind nun alle Weg, gelöst ist das Problem damit aber noch nicht. Link zur Page habe ich die per PM geschickt.

alfred

Administrator
Gepostet am:05.02.2012 18:31
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#9

Aw: Fehler mit newbb 3.08 nach PHP update

Zitat:

mrviper schrieb:
Unknown: Assigning the return value of new by reference is deprecated in file /header.php line 57


mach einfach aus
return $funktion ;

ein

$wert = $funktion;
return $wert;

dann ist das auch weg.

mrviper

"myXOOPs"-Neuling
Gepostet am:05.02.2012 18:28
mrviper
mrviper Offline (Show more)
"myXOOPs"-Neuling
Posts: 6
Since: 04.02.2012
#8

Aw: Fehler mit newbb 3.08 nach PHP update

Hallo Alfred,

toll deine Unterstützung.
Ich habe die Templateaktualisierung aktivert und auch die Änderung in der object.php gemacht. Leider noch keine Änderung. Im Debug-Modus bekomme ich nur ein paar "Depreceated" Meldungen, das sollte aber hoffentlich kein Problem sein.

Unknown: Assigning the return value of new by reference is deprecated in file /header.php line 57
Unknown: Assigning the return value of new by reference is deprecated in file /class/xoopsblock.php line 464
Unknown: Assigning the return value of new by reference is deprecated in file /class/xoopsblock.php line 514
Unknown: Assigning the return value of new by reference is deprecated in file /class/theme.php line 73
Unknown: Assigning the return value of new by reference is deprecated in file /class/theme.php line 196
Unknown: Assigning the return value of new by reference is deprecated in file /class/theme.php line 248
Unknown: Assigning the return value of new by reference is deprecated in file /class/theme_blocks.php line 90

Einige der Meldungen habe ich vorher mal bereinigt (das & in der Zuweisung jeweils entfernt, dass brachte aber keine Änderung).

Link zur Hompelage schicke ich dir per PM.

Danke und Grüße

alfred

Administrator
Gepostet am:05.02.2012 16:05
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#7

Aw: Fehler mit newbb 3.08 nach PHP update

kleine Änderung muss noch gemacht werden:

öffne die /Frameworks/art/object.php

suche nach:

class ArtObject extends XoopsObject 
  
/** * @var string */ 
  
var $plugin_path
}


ersetze das mit:

class ArtObject extends XoopsObject 
  
/** * @var string */ 
  
var $plugin_path

  function 
ArtObject() 
  { 
  } 
}


Ansonsten würde ich doch lieber updaten auf 2.5!

alfred

Administrator
Gepostet am:05.02.2012 11:09
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#6

Aw: Fehler mit newbb 3.08 nach PHP update

in der Moduladministration Theme-und Templates aktualisieren auf ja stehen?
Normalerweise müsste eine Ausgabe beim Debug kommen, ansonsten mal das Verzeichnis /templates_c leeren.
Link wäre evtl. auch nicht schlecht (kann auch per PM)

Das Forum müsste auch auf einer 2.3er Version laufen, lediglich der Adminbereich könnte Schwierigkeiten machen

mrviper

"myXOOPs"-Neuling
Gepostet am:05.02.2012 10:37
mrviper
mrviper Offline (Show more)
"myXOOPs"-Neuling
Posts: 6
Since: 04.02.2012
#5

Aw: Fehler mit newbb 3.08 nach PHP update

Danke für den Tipp. Ich habe mir die Version 4.1 runtergeladen und die alte 3.08 Version aktualisiert. Installationsfehler sind keine aufgetreten.
In der Moduladministrattion steht jetzt auch 4.01. Allerdings wird weiterhin beim Start des Forum eine leere Seite angezeigt.
Laut Modulinfo soll die V 4.1 nur auf Xoops 2.5 laufen. Wenn dem so ist, werde ich das wohl mit meiner 2.3.3. nicht zum laufen bekommen oder müßte es irgendwie trotzdem gehen? Im Debug-Modus der Seite werden keine Fehler angezeigt.

Danke und Grüße

alfred

Administrator
Gepostet am:04.02.2012 17:37
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#4

Aw: Fehler mit newbb 3.08 nach PHP update

NewBB 4.1
oder
SVN-Version NewBB 4.2

Als Demo kann ich das hier anbieten:
http://www.simple-xoops.de/forum/
Diesen Thread durchsuchen:  1 Anonyme Benutzer